• Jan 10, 2020
  • Caleb Chen
  • Governments, Mozilla Firefox, News, Security,

US government urges everyone to update Mozilla Firefox to v72.0.1 because of an active exploit that allows remote code execution

The US government’s Department of Homeland Security is urging all Firefox users to update to v72.0.1 as soon as possible. Earlier this week, a zero day vulnerability was found in the then most current version of the Firefox browser by Mozilla which allows hackers to take over your computer. What’s more, this 0day was found … Continue reading “US government urges everyone to update Mozilla Firefox to v72.0.1 because of an active exploit that allows remote code execution”

0